Module:Sandbox/User:Waddie96/table.css

From Wikipedia, the free encyclopedia
This is the current revision of this page, as edited by imported>Waddie96 at 02:02, 1 October 2025 (import from mediawiki code). The present address (URL) is a permanent link to this version.
(diff) ← Previous revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
.cdx-table-pager {
	display: flex;
	align-items: center;
	flex-wrap: wrap;
	justify-content: space-between;
	gap: 12px;
	padding: 12px
}

@media screen and (min-width: 640px) {
	.cdx-table-pager {
		flex-wrap: nowrap
	}
}

.cdx-table-pager__start .cdx-select,
.cdx-table-pager__start .cdx-select-vue__handle {
	min-width: 8rem
}

.cdx-table-pager__center {
	color: var(--color-subtle, #54595d);
	flex: 1 1 40%;
	font-size: 1rem;
	text-align: center
}

@media screen and (min-width: 640px) {
	.cdx-table-pager__center {
		flex: 0 1 auto
	}
}

.cdx-table-pager__end {
	display: flex;
	flex: 1 0 100%;
	justify-content: space-between;
	gap: 4px
}

@media screen and (min-width: 640px) {
	.cdx-table-pager__end {
		flex: 0 1 auto
	}
}

.cdx-table-pager__icon--first {
	min-width: 10px;
	min-height: 10px;
	width: calc(1rem + 4px);
	height: calc(1rem + 4px);
	display: inline-block;
	vertical-align: text-bottom
}


.cdx-table-pager__icon--first[dir=rtl],
html[dir=rtl] .cdx-table-pager__icon--first:not([dir="ltr"]) {
	transform: scaleX(-1)
}

.cdx-table-pager__icon--previous {
	min-width: 10px;
	min-height: 10px;
	width: calc(1rem + 4px);
	height: calc(1rem + 4px);
	display: inline-block;
	vertical-align: text-bottom
}


.cdx-table-pager__icon--previous[dir=rtl],
html[dir=rtl] .cdx-table-pager__icon--previous:not([dir="ltr"]) {
	transform: scaleX(-1)
}

.cdx-table-pager__icon--next {
	min-width: 10px;
	min-height: 10px;
	width: calc(1rem + 4px);
	height: calc(1rem + 4px);
	display: inline-block;
	vertical-align: text-bottom
}


.cdx-table-pager__icon--next[dir=rtl],
html[dir=rtl] .cdx-table-pager__icon--next:not([dir="ltr"]) {
	transform: scaleX(-1)
}

.cdx-table-pager__icon--last {
	min-width: 10px;
	min-height: 10px;
	width: calc(1rem + 4px);
	height: calc(1rem + 4px);
	display: inline-block;
	vertical-align: text-bottom
}


.cdx-table-pager__icon--last[dir=rtl],
html[dir=rtl] .cdx-table-pager__icon--last:not([dir="ltr"]) {
	transform: scaleX(-1)
}

.cdx-table {
	color: var(--color-base, #202122);
	border: 1px solid var(--border-color-base, #a2a9b1);
	border-radius: 2px;
	word-wrap: break-word
}

.cdx-table__header {
	display: flex;
	align-items: center;
	flex-wrap: wrap;
	justify-content: space-between;
	gap: 16px;
	box-sizing: border-box;
	min-height: 40px;
	padding: 8px 12px
}

.cdx-table__header__caption {
	color: var(--color-emphasized, #101418);
	font-size: 1.25rem;
	font-weight: 700;
	line-height: 1.875rem;
}

.cdx-table__pagination--bottom {
	border-top: 1px solid var(--border-color-base, #a2a9b1)
}

.cdx-table__pagination-status--short {
	display: block;
	text-align: right
}

@media screen and (min-width: 640px) {
	.cdx-table__pagination-status--short {
		display: none
	}
}

.cdx-table__pagination-status--long {
	display: none
}

@media screen and (min-width: 640px) {
	.cdx-table__pagination-status--long {
		display: block;
		text-align: center
	}
}

.cdx-table__pending-indicator {
	position: absolute
}

.cdx-table__table-wrapper {
	overflow-x: auto
}

.cdx-table__table-wrapper--has-pending-indicator {
	position: relative
}

.cdx-table__table {
	min-width: 100%;
	font-size: 1rem;
	line-height: 1.375rem;
	border-collapse: collapse
}

.cdx-table__table caption {
	display: block;
	clip: rect(1px, 1px, 1px, 1px);
	position: absolute !important;
	width: 1px;
	height: 1px;
	margin: -1px;
	border: 0;
	padding: 0;
	overflow: hidden
}

.cdx-table__table th,
.cdx-table__table td {
	padding: 12px
}

.cdx-table__table th {
	color: var(--color-emphasized, #101418);
	text-align: left
}

.cdx-table__table thead th {
	border-bottom: 1px solid var(--border-color-base, #a2a9b1);
	vertical-align: bottom
}

.cdx-table__table tfoot td,
.cdx-table__table tfoot th {
	border-top: 1px solid var(--border-color-base, #a2a9b1)
}

.cdx-table__table tbody td,
.cdx-table__table tbody th {
	border-top: 1px solid var(--border-color-subtle, #c8ccd1);
	vertical-align: top
}

.cdx-table__table tbody tr:first-child td,
.cdx-table__table tbody tr:first-child th {
	border-top: 0
}

.cdx-table__table__sort-button {
	background-color: var(--background-color-transparent, transparent);
	display: flex;
	align-items: flex-end;
	gap: 6px;
	width: 100%;
	border: 0;
	padding: 12px;
	font-family: inherit;
	font-size: 1rem;
	font-weight: 700;
	line-height: 1.375rem;
    text-align: left;
	text-decoration: none;
	transition-property: background-color, color, border-color, box-shadow;
	transition-duration: .1s
}

.cdx-table__table__sort-button:hover {
	background-color: var(--background-color-interactive-subtle--hover, #eaecf0);
	border-color: #a2a9b1;
	cursor: pointer
}

.cdx-table__table__sort-button:focus {
	outline: 1px solid transparent
}

.cdx-table__table__sort-button:active {
	background-color: #dadde3;
	border-color: #a2a9b1;
}

.cdx-table__table__sort-button:focus:not(:active) {
	background-color: var(--background-color-base, #fff);
	box-shadow: inset 0 0 0 2px var(--box-shadow-color-progressive--focus, #36c)
}

.cdx-table__table__sort-icon--unsorted {
	min-width: 10px;
	min-height: 10px;
	width: 1rem;
	height: 1rem;
	display: inline-block;
	vertical-align: text-bottom
}


.cdx-table__table__sort-icon--asc {
	min-width: 10px;
	min-height: 10px;
	width: 1rem;
	height: 1rem;
	display: inline-block;
	vertical-align: text-bottom
}


.cdx-table__table__sort-icon--desc {
	min-width: 10px;
	min-height: 10px;
	width: 1rem;
	height: 1rem;
	display: inline-block;
	vertical-align: text-bottom
}


.cdx-table__table__sort-icon--vue,
.cdx-table__table__sort-icon {
	color: var(--color-subtle, #54595d);
	flex-shrink: 0;
	height: 1.375rem
}

.cdx-table__table .cdx-table__table__cell--align-center {
	text-align: center
}

.cdx-table__table .cdx-table__table__cell--align-end {
	text-align: right
}

.cdx-table__table .cdx-table__table__cell--align-end .cdx-table__table__sort-button {
	flex-direction: row-reverse;
	text-align: right
}

.cdx-table__table .cdx-table__table__cell--align-number {
	text-align: right
}

.cdx-table__table .cdx-table__table__cell--align-number .cdx-table__table__sort-button {
	flex-direction: row-reverse;
	text-align: right
}

.cdx-table__table .cdx-table__table__cell--has-sort {
	padding: 0
}

.cdx-table__table__select-rows {
	width: 1px
}

.cdx-table__table__row--selected {
	background-color: var(--background-color-progressive-subtle, #f1f4fd)
}

.cdx-table__table--layout-fixed {
	table-layout: fixed
}

.cdx-table__table--borders-vertical th,
.cdx-table__table--borders-vertical td {
	border-right: 1px solid var(--border-color-subtle, #c8ccd1)
}

.cdx-table__table--borders-vertical th:last-child,
.cdx-table__table--borders-vertical td:last-child {
	border-right: 0
}

.cdx-table__table--borders-vertical thead tr:not(:first-child) th {
	border-top: 1px solid var(--border-color-base, #a2a9b1)
}

.cdx-table__header+.cdx-table__table-wrapper .cdx-table__table--borders-vertical thead th {
	border-top: 1px solid var(--border-color-base, #a2a9b1)
}

.cdx-table__table__empty-state {
	border-top: 1px solid var(--border-color-base, #a2a9b1)
}

thead+tbody .cdx-table__table__empty-state {
	border-top: 0
}

tbody td.cdx-table__table__empty-state-content {
	color: var(--color-subtle, #54595d);
	height: 16px;
	text-align: center;
	vertical-align: middle
}

.cdx-table__footer {
	display: flex;
	align-items: center;
	gap: 16px;
	box-sizing: border-box;
	min-height: 40px;
	border-top: 1px solid var(--border-color-base, #a2a9b1);
	padding: 12px;
	font-size: 1rem;
	line-height: 1.375rem
}